# images

(plugins.images)

## Overview

The `images` plugin enables manipulation of image resources in Servoy scripting. It provides functionality to retrieve image objects from various sources like files, byte arrays, beans, applets, or form elements. These image objects can then be processed further, such as resizing or retrieving metadata like dimensions and content types.

## **Returned Types**

[JSImage](/reference/servoyextensions/server-plugins/images/jsimage.md),

## Methods Summarized

| Type                                                                    | Name                                 | Summary                                                                                        |
| ----------------------------------------------------------------------- | ------------------------------------ | ---------------------------------------------------------------------------------------------- |
| [JSImage](/reference/servoyextensions/server-plugins/images/jsimage.md) | [getImage(object)](#getimage-object) | Get a javascript image/resource object for the given file/bytearray/bean/applet/form\_element. |

## Methods Detailed

### getImage(object)

Get a javascript image/resource object for the given file/bytearray/bean/applet/form\_element.

**Parameters**

* [Object](/reference/servoycore/dev-api/js-lib/object.md) **object** file/byte\_array/bean/applet/form\_element

**Returns:** [JSImage](/reference/servoyextensions/server-plugins/images/jsimage.md) a JSImage object for the given file, byte array, bean, applet, or form element.

**Sample**

```js
var image = plugins.images.getImage(byteArray);
var height = image.getHeight();
var contentType = image.getContentType();
var scaled_image = image.resize(30, 30);

var snapshot_image = plugins.images.getImage(forms.companyReports.elements.employeesChartBean);
var tempFile = plugins.file.createTempFile('bean_snapshot','.jpg')
plugins.file.writeFile(tempFile, snapshot_image.getData())
application.setStatusText('Wrote file: '+tempFile)
```

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoyextensions/server-plugins/images.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
